/**
 * @file
 */

(function ($, Drupal) {
  Drupal.behaviors.factfigure = {
    attach: function (context, settings) {
      $(document).ready(function () {

        // Step through each FF on the page.
        $('.uw-ff').each(function () {

          var result = $(this).find('.uw-ff__has-carousel-settings').length;

          // Get the id to reference the individual FF.
          // Need this to ensure that if more than one FF on the page,
          // that all FFs get the carousel added.
          var id = '#uw-ff-' + $(this).data('id');

          // Get the number of items for the carousel, if any.
          var num_of_items = $(id).data('num-per-carousel') !== '' ? $(this).data('num-per-carousel') : 3;

          // Add the carousel to the FF using the id.
          $(id + ' .owl-carousel').owlCarousel({
            margin: 10,
            nav: true,
            navContainerClass: 'uw-owl-nav',
            navText:[
                '‹ prev',
                'next ›'
            ],
            responsiveClass: true,
            responsive: {
              0: {
                items: 1
              },
              600: {
                items: num_of_items <= 2 ? (num_of_items - 1 > 0) ? num_of_items - 1 : 1 : 2

              },
              1000: {
                items: num_of_items

              }
            }
          });
        });
      });
    }
  };
})(jQuery, Drupal);
